XmVaCreateScale(library call)

NAME
XmVaCreateScale, XmVaCreateManagedScale — A Scale widget convenience creation functions.

SYNOPSIS

#include <Xm/Scale.h>

Widget XmVaCreateScale(
Widget parent,
String name,
...);

Widget XmVaCreateManagedScale(
Widget parent,
String name,
...);

DESCRIPTION

These functions create an instance of a ToggleButtonGadget widget and returns the associated widget ID. These routines use the ANSI C variable-length argument list (varargs) calling convention.

The XmVaCreateScale function is a convenience routine that calls XtCreateWidget.

The XmVaCreateScale function is a convenience routine that calls XtCreateManagedWidget.

parent
    Specifies the parent widget ID.

name
    Specifies the name of the created widget.

... Specifies the variable argument list to override the resource defaults.

For a complete definition of Scale and its associated resources, see XmScale(3).

RETURN

Returns the Scale widget ID.

RELATED

XmScale(3), XmCreateScale(3), XtCreateWidget(3), and XtCreateManagedWidget(3).